org.springframework.messaging

## Interface MessageHandler

All Known Implementing Classes:
  AbstractBrokerMessageHandler, AbstractMethodMessageHandler, SimpAnnotationMethodMessageHandler, SimpleBrokerMessageHandler, StompBrokerRelayMessageHandler, UserDestinationMessageHandler, UserRegistryMessageHandler

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface MessageHandler

Simple contract for handling a `Message`.

Since:
  4.0
Author:
  Mark Fisher, Iwein Fuld
See Also:
  `ReactiveMessageHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleMessage(Message<?> message)` Handle the given message.

### Method Detail

#### handleMessage

    void handleMessage(Message<?> message)
                throws MessagingException

Handle the given message.

Parameters:
  `message` - the message to be handled
Throws:
  `MessagingException` - if the handler failed to process the message